[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataLink.BufferCount

Set to the number of record buffers this datalink needs.

## Declaration

Source position: db.pas line 1722

`public property TDataLink.BufferCount : Integer read GetBufferCount write SetBufferCount;`

## Description

BufferCount can be set to the number of buffers that the dataset should manage on behalf of the control connected to this datalink. By default, this is 1. Controls that must display more than 1 buffer (such as grids) can set this to a higher value.

## See also

TDataset.ActiveBuffer |  | Currently active memory buffer
TDatalink.ActiveRecord |  | Currently active record

Documentation generated on: Feb 26 2014